## org.eclipse.emf.codegen.presentation
Class ConvertToJETProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.codegen.presentation.ConvertToJETProjectWizard

All Implemented Interfaces:
  IWizard, INewWizard, IWorkbenchWizard

    public class ConvertToJETProjectWizard

extends Wizard
implements INewWizard

Nested Class Summary
`class` `ConvertToJETProjectWizard.ConversionPage`

Field Summary
`protected ConvertToJETProjectWizard.ConversionPage` `conversionPage`
`protected java.util.List<IProject>` `projectsToConvert`
`protected IWorkbench` `workbench`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ConvertToJETProjectWizard()`

Method Summary
`void` `addPages()`
`void` `init(IWorkbench workbench, IStructuredSelection selection)`
`boolean` `performFinish()`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### workbench

    protected IWorkbench workbench

### projectsToConvert

    protected java.util.List<IProject> projectsToConvert

### conversionPage

    protected ConvertToJETProjectWizard.ConversionPage conversionPage

Constructor Detail

### ConvertToJETProjectWizard

    public ConvertToJETProjectWizard()

Method Detail

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  Specified by:
    `init` in interface `IWorkbenchWizard`

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `IWizard`
  Overrides:
    `addPages` in class `Wizard`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `IWizard`
  Specified by:
    `performFinish` in class `Wizard`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.